#!/usr/bin/env	python
# -*- coding: utf-8 -*-
from distutils.core import setup
from distutils.extension import Extension
import os
import subprocess

needed_dirs = ('/usr/share/pixmaps/lliurex-apt', '/usr/share/lliurex-apt/skels','/usr/share/lliurex-apt/optional','/usr/share/lliurex-apt/glade')
for d in needed_dirs:
    try:
        os.makedirs(needed_dir)
    except:
        pass



setup(  name             = "Lliurex-Apt",
        version          = "0.5",
        author           = "Enrique Medina Gremaldos",
        author_email     = "lliurex_devel4@edu.gva.es",
        url              = "http://lliurex.net/home/",
        package_dir      = {'': 'src'},
        packages         = ['net','net.Lliurex','net.Lliurex.aptmanager'],
        data_files=[('/usr/bin/', ['bin/lliurex-apt']),
					('/usr/share/pixmaps/lliurex-apt/',['rsrc/svg/lliurex-apt.svg']),
					('/usr/share/lliurex-apt/skels',['rsrc/skels/client.list','rsrc/skels/desktop.list','rsrc/skels/server.list']),
					('/usr/share/lliurex-apt/optional',['rsrc/optional/ubuntu.list']),
					('/usr/share/lliurex-apt/glade',['rsrc/glade/ui.glade'])
                    ]
     )


